Help installing old Expo client on iOS

Please provide the following:

  1. SDK Version: 30
  2. Platforms(Android/iOS/web/all): iOS

Hey :wave:

I’m trying to do a small bugfix on an older app for a client, and would like to do so without upgrading SDK, packages, releasing new binary etc.

I found the links to the apps here, but can’t get iOS up and running on my emulator. I found this thread that got it installed it seems, but everytime I open it I get this popup:

and my Expo CLI says

Opening exp://127.0.0.1:19000 in iOS simulator
This version of the Expo app is out of date. Uninstall the app and run again to upgrade.
Error running `xcrun simctl openurl booted exp://127.0.0.1:19000`: An error was encountered processing the command (domain=NSPOSIXErrorDomain, code=60):
The operation couldn’t be completed. Operation timed out
Operation timed out

Error installing or running app. Error: xcrun exited with non-zero code: 60

The bug is seemingly only present on iOS, so I need to get that up and running - Android was easy, as it’s just an APK.

Thanks!

Bump, I need help :slight_smile: Pretty please?

Hi. Just a guess, but maybe you need an earlier version of iOS?